WordPress.org

Forums

Frequent Wordprress Updates (4 posts)

  1. lcontic
    Member
    Posted 4 years ago #

    As a fairly new WP user, I'm just wondering why in the world WordPress updates their system so frequently?

    Just about every plug-in I look at using isn't compatible with my version of WP. Seems to me that if I do choose to use plug-ins and WP continues to update as often as they do, I'm bound to have a screwed up site!! Certainly not something I'm looking forward to and seems crazy to me.

    Why doesn't WP just create the plug-ins themselves so they can keep everything uniform and up to date? Then everyone would be a happy camper.

  2. fonglh
    Member
    Posted 4 years ago #

    chances are high that a plugin which isn't too old will work. most plugin developers are doing it in their free time so they might not have got around to testing it and updating the information.

    Why doesn't WP just create the plug-ins themselves so they can keep everything uniform and up to date?

    then there would be much less variety, and they probably wouldn't be free.

  3. Just about every plug-in I look at using isn't compatible with my version of WP.

    Also bear in mind, JUST because a plugin says 'tested up to 3.0' does NOT mean it won't work on 3.1.3 :) A lot of times the devs don't update their plugins as fast as they could (we all have real jobs you know). It's totally okay to try out a plugin that's not tested on your version. Many of them work.

    I use the rule of thumb of 'If it's a SIMPLE plugin, it's fine no matter how old. If it's really complex and has a lot of options, it should be no more than 2 major revs back.'

  4. lcontic
    Member
    Posted 4 years ago #

    Thank you both for taking the time to respond. I appreciate it!

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.